Page MenuHomePhabricator

Add return type to `conduit.query`
ClosedPublic

Authored by joshuaspence on Jan 22 2015, 11:20 AM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Feb 8, 6:49 AM
Unknown Object (File)
Jan 27 2024, 11:26 AM
Unknown Object (File)
Jan 26 2024, 6:01 PM
Unknown Object (File)
Dec 24 2023, 5:54 AM
Unknown Object (File)
Dec 1 2023, 10:21 AM
Unknown Object (File)
Nov 30 2023, 4:19 AM
Unknown Object (File)
Nov 25 2023, 12:41 AM
Unknown Object (File)
Nov 17 2023, 4:17 AM
Subscribers

Details

Summary

Fixes T6950. Adds the return type of Conduit API methods to the conduit.query call.

Test Plan

Called echo '{}' | arc call-conduit conduit.query and verified that the return types were present in the response.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

joshuaspence retitled this revision from to Add return type to `conduit.query`.
joshuaspence updated this object.
joshuaspence edited the test plan for this revision. (Show Details)
joshuaspence added a reviewer: epriestley.
epriestley edited edge metadata.

If you want to dump name/description in here, that'd be reasonable too. The only thing I'd hold back is "errors" since I think we got that wrong in a few ways (e.g., many different errors which all mean "no matching object").

This revision is now accepted and ready to land.Jan 22 2015, 8:13 PM
This revision was automatically updated to reflect the committed changes.